Page MenuHomePhabricator

profiling: add --no-profile to disable profiling enabled via config
ClosedPublic

Authored by spectral on Apr 19 2021, 6:32 PM.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

spectral created this revision.Apr 19 2021, 6:32 PM
marmoute added inline comments.
mercurial/dispatch.py
1067

Identify testing on boolean is not recommended. This should be elif req.earlyoptions[b'profile']

spectral added inline comments.Apr 20 2021, 1:22 PM
mercurial/dispatch.py
1067

If the user didn't specify --profile or --no-profile, then it's None here. Testing for an explicit False is intentional.

spectral marked an inline comment as done.Apr 21 2021, 4:18 PM

(marking comment as resolved, not sure what the exact policy is here :))

pulkit accepted this revision.Apr 28 2021, 6:39 AM
This revision is now accepted and ready to land.Apr 28 2021, 6:39 AM